<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
# $Id: master2templates.xsl,v 1.7 2003/01/29 18:39:27 camille Exp $

#- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# Project         : Mandrake Linux
# Module          : Borges
# File            : master2templates.xsl
# Author          : Camille Bgnis
# Created On      : Mon May  1 16:25:21 2001
# Copyright       : Camille Bgnis camille@mandrakesoft.com,
#                    MandrakeSoft under the GPL license
#- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

This stylesheet creates modules templates according to the information
found in the specs master file

-->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.1"> 

<xsl:param name="pwd" select="."/>
<xsl:param name="conf-file" select="repository.xml"/>

<!-- guess language from path -->
<xsl:variable name="lang" select="substring($pwd,string-length($pwd)-1)"/>
<xsl:variable name="conf" select="document($conf-file,.)"/>

<xsl:variable name="warning"> Please, do NOT edit the following revision history by hand. Use the
"make &lt;module_name&gt;.revision" target instead.  </xsl:variable>

<xsl:output indent="yes"/>
  
<xsl:template match="/">

  <xsl:variable name="modules" select="//para[@role='module']"/>
  
  <xsl:apply-templates select="$modules">
    <xsl:with-param name="lang">
      <xsl:value-of select="$lang"/>
    </xsl:with-param>
  </xsl:apply-templates>
    
</xsl:template>



<xsl:template match="para">
  <xsl:param name="lang">en</xsl:param>
  <xsl:variable name="file"><xsl:value-of select="$pwd"/>/<xsl:value-of select="text()"/>.xmla</xsl:variable>
  
  <xsl:variable name="target" select="document($file,.)"/>
  
  <xsl:variable name="root" select="name(..)"/>
  <xsl:variable name="rootinfo" select="concat($root,'info')"/>

  <xsl:choose>
    <xsl:when test="$target/content">
      <xsl:document href="{$file}.root" omit-xml-declaration="yes" method="text">
        <xsl:copy-of select="$root"/>
      </xsl:document>
      <xsl:document href="{$file}.content" omit-xml-declaration="yes" indent="yes">
        <xsl:element name="{$root}">
          <xsl:copy-of select="../@*"/>
          <xsl:element name="{$rootinfo}">
            <xsl:call-template name="revhistory">
              <xsl:with-param name="lang" select="$lang"/>
            </xsl:call-template>
          </xsl:element>
          <xsl:copy-of select="../*"/>
  
        </xsl:element>
      </xsl:document>
    </xsl:when>
  </xsl:choose>
  
</xsl:template>

<xsl:template name="revhistory">
  <xsl:param name="lang">en</xsl:param>
  <xsl:text>

</xsl:text>
  <xsl:comment>
          <xsl:value-of select="$warning"/>
  </xsl:comment>
  <xsl:text>

</xsl:text>
  <revhistory>
  </revhistory>
  
</xsl:template>

</xsl:stylesheet>
