<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
# $Id: report2mail.xsl,v 1.1.1.1 2002/04/04 13:42:16 camille Exp $

#- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# Project         : Mandrake Linux
# Module          : Borges
# File            : report2mail.xsl
# Author          : Camille Bgnis
# Created On      : Mon May  1 16:25:21 2001
# Copyright       : Camille Bgnis camille@mandrakesoft.com,
#                    MandrakeSoft under the GPL license
#- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

This XSL stylesheet extracts all tasks for all actors (redactors,
proofreaders, translators, ...) from a manual's report to prepare the
reminder e-mails to be sent to those actors.

-->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.1"> 

<xsl:param name="master" select="master.top.xml"/>

<xsl:output method="html" encoding="ISO-8859-1" indent="yes"/>

<xsl:key name="contributors" match="td[@title]" use="@title"/>

<xsl:template match="/">

  <xsl:for-each select="//td[@title][generate-id(.)=generate-id(key('contributors',@title))]">
    <xsl:sort select="@title"/>

    <xsl:variable name="initials" select="@title"/>
   
      <xsl:if test="not($initials='tbn')">
    <xsl:call-template name="message">
      <xsl:with-param name="initials" select="$initials"/>
      <xsl:with-param name="tasks">
        <xsl:for-each select="key('contributors',$initials)">
          <xsl:text>
</xsl:text>
          <xsl:copy-of select="../th/div[@role='sequence']"/> in "<xsl:value-of select="@lang"/>": <xsl:copy-of select="*//font[@role='task']"/>
        </xsl:for-each>
        
      </xsl:with-param>
    </xsl:call-template>
    </xsl:if>
  </xsl:for-each>
</xsl:template>

<xsl:template name="message">
  <xsl:param name="initials"/>
  <xsl:param name="tasks"/>
  
  <xsl:variable name="address">
    <xsl:value-of select="document($master,.)//*[@id=$initials]/affiliation/address/email"/>
  </xsl:variable>
  
  <xsl:document method="text" href="{$address}.tasks" omit-xml-declaration="yes">
    <xsl:value-of select="$tasks"/>
  </xsl:document>
</xsl:template>

</xsl:stylesheet>
