#! /usr/bin/perl -w
#---------------------------------------------------------------
# Project         : Linux-Mandrake
# Module          : bin
# File            : extract_doctype.pl
# Author          : Camille Bgnis
# Created On      : 2002-05-23
# Copyright       : Camille Bgnis <camille@mandrakesoft.com>,
#                    MandrakeSoft under the GPL license
#---------------------------------------------------------------
# This script extracts the DocType of the XML document given on input
#---------------------------------------------------------------

 
use strict;
use XML::Twig;

my $usage="
Usage:
extract_doctype.pl <source XML file>

";
 
my $filename= $ARGV[0] || die $usage;
my $target= $ARGV[1];
my $doctype=""; 

open(FILE, "< $filename") || die "unknown file: \"$filename\" $!\n";  
while(<FILE>){ $doctype.=$_; };
close (FILE);

$doctype=~s/.*?(<!DOCTYPE [^\]]*]>).*/$1/sg;

# remove possible entities ?

# $doctype=~s/\[.*/>/sg;

# If target defined replace doctype and revhistory in it 
if ( $target ) {
    my $output="";
open(FILE, "< $target") || die "unknown file: \"$target\" $!\n";  
while (<FILE>) { $output.=$_; };
close (FILE);
$output=~s/<!DOCTYPE [^\]]*]>/$doctype/sg;
print $output;

} else { print $doctype; }
