#!/bin/bash
#---------------------------------------------------------------
# Project         : Linux-Mandrake
# Module          : bin
# File            : add-revhistory.pl
# Author          : Camille Bgnis
# Created On      : Sun Nov 25 12:25:21 2001
# Copyright       : Camille Bgnis <camille@mandrakesoft.com>,
#                    MandrakeSoft under the GPL license
#---------------------------------------------------------------
# script that creates template modules according to master XML file
#---------------------------------------------------------------
# This script must be reworked to use a more convenient XML specs file
#---------------------------------------------------------------

if [ $# != 6 ]; then echo "
usage: $0 <master.top.xml> <relative/path/to/documents/dir/> </repository/conf/file> <transform.xsl> <encoding> <release>
"; exit; fi

FILES="$BORGES_MODULES"
TEMPLATE="<?xml version=\"1.0\" encoding=\"$5\"?>

<content/>

<!-- Keep this comment at the end of the file
Local variables:
mode: xml
sgml-parent-document: (\"$(echo $2 | perl -pe "s,(.*)/.*,\1," -)/module/psgml-top.xml\" \"<root/>\")
End:
-->
"

# create virgin XML files if necessary

for f in $FILES; do 
    if [ ! -e "$f" ]; then 
	echo -n "$TEMPLATE" > $f; 
    fi; 
    make "$f"a
done

echo "xsltproc --param pwd "'$(pwd)'" --param conf-file $3 $4 $2/$1";
# extract relevant information from master file
xsltproc --param pwd "'$(pwd)'" --param conf-file "'$3'" $4 $2/$1

# inject this information to template (or not) modules

for f in $FILES; do
    if [ -e "$f"a.content ]; then
        ROOT=$(cat "$f"a.root)
        rm "$f"a.root
        echo "Adding template in $f"
        CONTENT=$(cat "$f"a.content)
        rm "$f"a.content
        perl -pi -e "s<content/>$CONTENT; s<root/>$ROOT" $f
	rm -f "$f"a
        make $(basename $f .xml).release REL=$6
    fi
    
done
